### Home Classes Methods

### In Files

- ext/pg.c

### Namespace

- MODULE PG::Constants

### Methods

- ::isthreadsafe
- ::library_version

### Included Modules

- PG::Constants

### Class/Module Index

Quicksearch

- PG
- PG::Constants

No matching classes.

# PG

### Public Class Methods

isthreadsafe → Boolean click to toggle source
is_threadsafe? → Boolean
threadsafe? → Boolean

Returns `true` if libpq is thread-safe, `false` otherwise.

    static VALUE
    pg_s_threadsafe_p(VALUE self)
    {
            UNUSED( self );
            return PQisthreadsafe() ? Qtrue : Qfalse;
    }

library_version → Integer click to toggle source

Get the version of the libpq library in use. The number is formed by converting the major, minor, and revision numbers into two-decimal- digit numbers and appending them together. For example, version 7.4.2 will be returned as 70402, and version 8.1 will be returned as 80100 (leading zeroes are not shown). Zero is returned if the connection is bad.

    static VALUE
    pg_s_library_version(VALUE self)
    {
            UNUSED( self );
            return INT2NUM(PQlibVersion());
    }

[Validate]

Generated with the Darkfish Rdoc Generator 2.